> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dispatch Event



## OpenAPI

````yaml /api/openapi-cutmake.json post /api/v1/webhooks/dispatch-event
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/webhooks/dispatch-event:
    post:
      tags:
        - Webhooks
      summary: Dispatch Event
      operationId: dispatch_event_api_v1_webhooks_dispatch_event_post
      parameters:
        - name: org_id
          in: query
          required: true
          schema:
            type: string
            title: Org Id
        - name: event_type
          in: query
          required: true
          schema:
            type: string
            title: Event Type
      requestBody:
        required: true
        content:
          application/json:
            schema:
              additionalProperties: true
              type: object
              title: Payload
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Dispatch Event Api V1 Webhooks Dispatch Event Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````